/* styles.css */

/* General styling for the entire page */
body {
	font-family: Arial, sans-serif;
	background-color: white;
	margin: 0;
}

.entry-header {
	display: none;
}

#res_header {
	display: flex;
	flex-wrap: wrap;
}

#res_title {
	max-width : 50%;
}

#res_h1 {
	margin : 0;
}

#res_select {
	/* max-width : 50%; */
	max-height : 25px;
	margin-left : 2em;
	margin-top : 0.5em;
}

#select_salles {
	font-size: 1.5em;
	padding : 0;
	background-color: white;
}

option {
/*     font-size: 2.0em;
    background-color: #ffffff; */
}

option:before {
    content: ">";
    font-size: 2.8em;
    display: none;
    padding-right: 10px;
    padding-left: 5px;
    color: #f00;
}

.wrapper {
	max-width: 1200px;
	margin: 15px auto;
}

/* Calendar container */
.container-calendar {
	background: #ffffff;
	padding: 15px;
	/* max-width: 400px; */
	margin: 0 auto;
	overflow: auto;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
	display: flex;
	justify-content: space-between;
}

/* Event section styling */
#event-section {
	padding: 10px;
	background: #f5f5f5;
	margin: 20px 0;
	border: 1px solid #ccc;
	overflow:auto; 
	height: 500px; 
}

.container-calendar #left h1 {
	color: green;
	text-align: center;
	background-color: #f2f2f2;
	margin: 0;
	padding: 10px 0;
}

#event-section h3 {
	color: green;
	font-size: 18px;
	margin: 0;
}

#event-infos {
	display: flex;
	flex-wrap: wrap;
}

#event-section button {
	background: green;
	color: white;
	border: none;
	padding: 5px 10px;
	cursor: pointer;
}

.event-marker {
	position: relative;
	background-color: Salmon;
}

.span_marker {
	color: white;
}

.event-reserved {
	position: relative;
	background-color: #FB2360 !important;
}

.span_reserved {
	color: black;
	font-weight: bold;
}

.event-demanded {
	position: relative;
	background-color:#FBBE23 !important;
}

.span_demanded {
	/* color: white; */
	font-weight: bold;
}


/* event tooltip styling */
.event-tooltip {
	position: absolute;
	background-color: rgba(234, 232, 232, 0.763);
	color: black;
	padding: 10px;
	border-radius: 4px;
	bottom: 20px;
	left: 50%;
	transform: translateX(-50%);
	display: none;
	transition: all 0.3s;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
	z-index: 1;
}

.event-marker:hover .event-tooltip {
	display: block;
}

.event-demanded:hover .event-tooltip {
	display: block;
}

.event-reserved:hover .event-tooltip {
	display: block;
}

/* Reminder section styling */
#reminder-section {
	padding: 10px;
	background: #f5f5f5;
	margin: 20px 0;
	border: 1px solid #ccc;
	overflow:auto; 
	height: 500px; 
}

#reminder-section h3 {
	color: green;
	font-size: 18px;
	margin: 0;
}

#reminderList {
	list-style: none;
	padding: 0;
}

#reminderList li {
	margin: 5px 0;
	font-size: 16px;
}


/* Buttons in the calendar */
.button-container-calendar button {
	cursor: pointer;
	background: green;
	color: #fff;
	border: 1px solid green;
	border-radius: 4px;
	padding: 5px 10px;
}

/* Calendar table */
.table-calendar {
	border-collapse: collapse;
	/* max-width: 400px; */
}

.table-calendar td,
.table-calendar th {
	padding: 5px;
	border: 1px solid #e2e2e2;
	text-align: center;
	vertical-align: top;
}

td,
th {
	padding: 5px !important;
	max-width: 10px;
}

/* Date picker */

.date-picker {
	padding: 5px;
}

.date-picker.selected {
	background-color: #f2f2f2;
	font-weight: bold;
	outline: 1px dashed #00BCD4;
}

.date-picker.selected span {
	border-bottom: 2px solid currentColor;
}

/* Day-specific styling */
.date-picker:nth-child(7) {
	color: red;
	/* Sunday */
}

.date-picker:nth-child(6) {
	color: green;
	/* Friday */
}

/* Hover effect for date cells */
.date-picker:hover {
	background-color: PaleGreen;
	color: black !important;
	font-weight: bold;
	cursor: pointer;
}

/* Header for month and year */
#monthAndYear {
	text-align: center;
	margin-top: 0;
	display:inline-block;
	width: 80%;
}

/* Navigation buttons */
.button-container-calendar {
	width:100%;
	position: relative;
	margin-bottom: 1em;
	overflow: hidden;
	clear: both;
}

#previous {
	display:inline;
	float: left;
}

#next {
	display:inline;
	float: right;
}

/* Footer styling */
.footer-container-calendar {
	margin-top: 1em;
	border-top: 1px solid #dadada;
	padding: 10px 0;
}

.footer-container-calendar select {
	cursor: pointer;
	background: #ffffff;
	color: #585858;
	border: 1px solid #bfc5c5;
	border-radius: 3px;
	padding: 5px 1em;
}

#right {
	/* max-width: 400px; */
}

#left {
	/* max-width: 400px; */
}

.conteneur-flex{
    display: flex;
    flex-flow: column wrap;
    margin: 10px;
}
/* .sous-conteneur-flex{ */
    /* flex: 1 1 auto; */
    /* display: flex; */
    /* flex-flow: column wrap; */
    /* justify-content: space-around; */
    /* background-color: RGBa(120,150,240,1); */
    /* margin: 0px 0px 20px 0px; */
/* } */

.element-flex{
    flex: 1 1 auto;
    /* background-color: RGBa(120,240,150,0.7); */
    height: 50px;
    margin: 10px;
}

.l-date{
	display: inline-block;
	width: 4.5em;
}

.date{
	display: inline-block;
	width: 9em;
}

.heure{
	display: inline-block;
	width: 4em;
}

.l-heure{
	display: inline-block;
	width: 5em;
}


/*boite modale */
#dialog_titre{
	display: inline-block;
	width:100%;
}

#dialog_title{
	display: inline-block;
	width:80%;
}
.c_dialog {
	position: fixed;
	z-index: 100;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	display: flex;
	padding: 2.4rem;
	overflow-y: scroll;
	-webkit-overflow-scrolling: touch;
	background-color: rgba(0, 0, 0, 0.4);
	transition: 0.2s;
	width : 100%;
}

.c_dialog_box {
	/* flex: 1; */
	max-width: 1200px;
	margin: auto;
	padding: 2.4rem;
	background-color: #DDDDDD;
	border-width:1px;
	border-style:solid;
	border-color:black;
	border-radius:10px;
	/* display: flex; */
	justify-content: center;
	align-items: center;
}

.c_dialog[aria-hidden="true"] {
	visibility: hidden;
	opacity: 0;
}

#dialog_fermer {
	float:right;
	margin-right: -30px;
	margin-top: -30px;
	max-width: 50px;
	/* max-height: 50px; */
	height: auto;
}

#dialog_valid {
	/* max-width: 50px; */
	/* max-height: 50px; */
	width: 200px;
	height: auto;
	margin-bottom:0px;
	margin-left:0px;

}

.dial_label {
	display: inline-block;
	width: 160px;
	text-align: right;
}

.dial_input {
	display: inline-block;
	width: 200px;
	text-align: left;
	padding: 0;
}

#dial_eventId, #dial_id_label {
	display: none;
}

#dial_eventCommAdm{
	width: 360px;
	padding: 0;
	margin-right: 4px;
}

#dial_eventCommDem{
	width: 360px;
	padding: 0;
	margin-right: 4px;
}

#dial_button_bar {
	padding: 10px;
	display: flex;
	justify-content: center;
	align-items: center;
}

#aller_a{
	display: inline-block;
    width: 150px;
	padding: 2rem;
	
}	  

#infos_cal{
	display: inline-block;
/*     width: 700px; */
	padding: 2rem;
}

#csvinfos_cal{
	display: inline;
/*     width: 700px; */
	padding: 2rem;
}